suffix.h File Reference

Checks filename suffix and creates the destination filename. More...

## Functions

char * | suffix_get_dest_name (const char *src_name)
| Get the name of the destination file. More...
void | suffix_set (const char *suffix)
| Set a custom filename suffix. More...

## Detailed Description

Checks filename suffix and creates the destination filename.

## Function Documentation

## suffix_get_dest_name()

char* suffix_get_dest_name | ( | const char * | src_name | ) |

Get the name of the destination file.

Depending on the global variable opt_mode, this tries to find a matching counterpart for src_name. If the name can be constructed, it is allocated and returned (caller must free it). On error, a message is printed and NULL is returned.

## suffix_set()

void suffix_set | ( | const char * | suffix | ) |

Set a custom filename suffix.

This function calls xstrdup() for the given suffix, thus the caller doesn't need to keep the memory allocated. There can be only one custom suffix, thus if this is called multiple times, the old suffixes are freed and forgotten.

References has_dir_sep(), and message_fatal().